*"表題 散布図描画 GTOOL3(GGSCAT)
*
*"履歴 93/01/25 沼口  敦
*
*
*********************************************************************
*"         << 散布図描画 >>
*********************************************************************
      SUBROUTINE GGSCAT
     I         ( HHEADX, GDATAX,
     I           HHEADY, GDATAY, HPOS   )
*
      CHARACTER  HHEADX( * )*(*)         !" ヘッダー
      REAL       GDATAX( * )             !" データ
      CHARACTER  HHEADY( * )*(*)         !" ヘッダー
      REAL       GDATAY( * )             !" データ
      CHARACTER  HPOS       *(*)         !" データ軸 ('X' or 'Y')
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC
#else
#include         "gzsize.F"              !" NCC, NDC
#endif
      CHARACTER  HHX( NDC )*(NCC)
      CHARACTER  HHY( NDC )*(NCC)
*
      LOGICAL    OLINT                   !" 線種コメントを描く？
*
      CALL GUSMIS ( HHEADX )
*
*"        < 1. 範囲 >
*
      CALL GUQTSZ ( HHEADX, ISIZEX )
      CALL GUQTSZ ( HHEADY, ISIZEY )
      CALL GHCOPY ( HHEADX, HHX )
      CALL GHCOPY ( HHEADY, HHY )
      CALL GHPSET ( HHX, 'ASTR1', 1 )
      CALL GHPSET ( HHX, 'AEND1', ISIZEX )
      CALL GHPSET ( HHX, 'ASTR2', 1 )
      CALL GHPSET ( HHX, 'AEND2', 1 )
      CALL GHPSET ( HHX, 'ASTR3', 1 )
      CALL GHPSET ( HHX, 'AEND3', 1 )
      CALL GHPSET ( HHY, 'ASTR1', 1 )
      CALL GHPSET ( HHY, 'AEND1', ISIZEY )
      CALL GHPSET ( HHY, 'ASTR2', 1 )
      CALL GHPSET ( HHY, 'AEND2', 1 )
      CALL GHPSET ( HHY, 'ASTR3', 1 )
      CALL GHPSET ( HHY, 'AEND3', 1 )
*
*"         < 2. 軸描画, 座標設定 >
*
      CALL GGAXSZ
     I     ( HHX, GDATAX, 'X'  )
      CALL GGAXSZ
     I     ( HHY, GDATAY, 'Y'  )
*
*"         < 3. 折れ線描画 >
*
      IF ( ISIZEX .NE. ISIZEY ) THEN
         CALL MSGDMP( 'W', 'GGSCAT', 'ARRAY SIZE DO NOT AGREE.' )
      ENDIF
*
      CALL SGPMU  ( ISIZEX, GDATAX, GDATAY )
*
*"         < 4. 線種コメント >
*
      CALL GGPGET ( 'LLINT', OLINT )
      IF ( OLINT ) THEN
         IF ( HPOS .EQ. 'X' ) THEN
            CALL GGLINT ( HHX, 'CURV' )
         ELSE
            CALL GGLINT ( HHY, 'CURV' )
         ENDIF
      ENDIF
*
      RETURN
      END
